﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;

namespace Infragistics_Test
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            ds.Tables.Add(GetData());

            this.Grid.DataSource = ds;
            this.Grid.DataBind();
        }

        #region Creating DataSet
        public DataTable GetData()
        {
            DataTable table = new DataTable("ChildTable");
            table.Columns.Add("DCN", typeof(string));
            table.Columns.Add("Claim Number", typeof(string));
            table.Columns.Add("Value", typeof(string));
            table.Columns.Add("Service Date", typeof(DateTime));
            table.Columns.Add("Reject Code", typeof(string));
            table.Columns.Add("Internal Control Number", typeof(string));
            table.Columns.Add("FTIN", typeof(string));
            table.Columns.Add("Provider Name", typeof(string));
            table.Columns.Add("OCT Status", typeof(string));
            table.Columns.Add("Bill Review Status", typeof(string));
            for (int i = 0; i < 2; i++)
            {
                for (int j = 0; j < 3; j++)
                {
                    table.Rows.Add("DCN12345678" + i + j, "CLM12345678" + i, "7361", DateTime.Now.AddDays(-999), "", "26070950599400", "488403658", "MCCARROLL JR H RELTON", "", "Get Status");
                }
            }
            return table;
        }
        #endregion

        protected void Grid_GroupedColumnsChanged(object sender, GroupedColumnsChangedEventArgs e)
        {
            if (e.GroupedColumns.Count > 0)
            {
                this.Grid.Behaviors.Paging.Enabled = false;
                this.Grid.RefreshBehaviors();
            }
            else
            {
                this.Grid.Behaviors.Paging.Enabled = true;
                this.Grid.RefreshBehaviors();
            }
        }
        
        protected void Grid_RowIslandDataBound(object sender, RowIslandEventArgs e)
        {
            Label pageCount = (Label)e.RowIsland.Behaviors.Paging.PagerTemplateContainerBottom.FindControl("PageCount");
            DropDownList list = (DropDownList)e.RowIsland.Behaviors.Paging.PagerTemplateContainerBottom.FindControl("DropDownList1");
            DataTable dt = GetData(); // In productive environment use your session data
            list.Items.Clear();

            int pCount = (int)Math.Round((dt.Rows.Count - 1) / (double)Grid.Behaviors.Paging.PageSize);
            pageCount.Text = "of " + pCount.ToString();

            for (int i = 1; i <= pCount; i++)
            {
                list.Items.Add(i.ToString());
            }
        }

        protected void Grid_PageIndexChanged(object sender, PagingEventArgs e)
        {

        }
    }
}